Bug 1021633 - Add OperationStepHandlers do not properly check if runtime steps should be added
Add OperationStepHandlers do not properly check if runtime steps should be added
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging (Show other bugs)
TBD EAP 6
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: EAP 6.2.0
Assigned To: James Perkins
Nikoleta Ziakova
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 12:56 EDT by James Perkins
Modified: 2013-12-15 11:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:17:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2357 Minor Resolved OperationStepHandlers do not properly check if runtime steps should be added 2014-08-13 06:50:50 EDT

  None (edit)
Description James Perkins 2013-10-21 12:56:56 EDT
The org.jboss.as.logging.LoggingOperations.LoggingAddOperationStepHandler uses OperationContext.getProcessType().isServer() to determine if runtime steps should be added. The OperationContext.isNormalServer() should be used instead otherwise runtime steps may get executed in ADMIN_ONLY mode.
Comment 2 JBoss JIRA Server 2013-10-29 13:06:21 EDT
James Perkins <jperkins@redhat.com> made a comment on jira WFLY-2357

Pull request merged
Comment 3 Petr Kremensky 2013-11-15 09:02:27 EST
Verified on EAP 6.2.0.CR1.

Note You need to log in before you can comment on or make changes to this bug.